/* FOOTER */
.footer {
  position: relative;
  width: 100%;
  text-align: center;
  padding: 5px 0;
  background: #ffffff;
  border-top: 1px solid rgba(255, 255, 255, 0.1);
  font-size: 14px;
  letter-spacing: 1px;
  height: 50px; /* bajo perfil */
}

.footer p {
  display: inline-block;
  font-family: 'Nexa 700', sans-serif;
  color: #3ca5d9;
  white-space: nowrap;
  overflow: hidden;
  width: 0;
  animation: typing 3s steps(30, end) forwards, blink 0.7s step-end infinite;
}

/* Animación de escribir */
@keyframes typing {
  from { width: 0 }
  to { width: 100% }
}

/* Parpadeo del cursor */
@keyframes blink {
  50% { border-color: transparent }
}